/create_order

With PayNearMe, an order is required any time money moves or is scheduled to move. Orders can be created or “staged” at the time of payment where each transaction has a unique Order ID (via the /create_order API call) or can be created beforehand as reusable identifiers for consumers (via an SFTP bulk file upload). At a minimum, the following parameters are required to create an order:

  • order_amount
  • order_currency
  • site_customer_identifier
  • order_type
  • order_is_standing

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Creates a new order for the specified site_customer_identifier.

string
required

Identifies your client site.

string
required

The Unix Epoch time of the call

string
required
Defaults to 3.0

The version of the API. This version must match the version associated with your API key pair.

string
required

The HMAC signature that is calculated by running your API Secret Key and the alphabetized, concatenated parameters of the request payload through the SHA256 message digest algorithm.

string
required

The decimal amount of the order.

string
required
Defaults to USD

USD

string
required

A unique, client-created string that identifies the customer.

string
enum
required

The type of order. Supported values include the following:

  • exact = Consumer must pay the exact order amount.
  • up-to = Consumer any amount up to the order amount.
  • any = Consumer can pay any amount.

Allowed:
string

If the order can be repeatedly paid for, enter true.

string

If set to true, PayNearMe will only return the pnm_order_identifier and pnm_customer_identifier.

number

The minimum payment amount in US Dollars including the decimal point.

string
Defaults to USD

USD

string

The number of days from order creation that payments can be accepted. If omitted, payments can be accepted for the order forever.

string

The date and time when the order will expire. This value must be in the following 24-hour format YYYY-MM-DD HH:MM:SS TZ where TZ is ET, CT, MT, or PT.

string

Setting this to true causes the HTML version of the payment slip (for cash payments) to be returned in the element of the slip portion of the XML. It is in a CDATA block. This HTML can be inserted in a page on your site to create a seamless user experience. Note that it is not a complete HTML page but contains a few elements.

string

Setting this to true causes the pdf version of the entire slip to be returned in the element of the slip portion of the XML. It is in a CDATA block. This PDF can be printed or merged with other PDF files as needed.

string

Enter a date in YYYY-MM-DD format to filter the list of payments that are returned in the order object response. For example, entering 2012-07-01 returns all payments that occurred on or after 2012-07-01 00:00:00 -0700.

string

Enter a date in YYYY-MM-DD format to filter the list of payments that are returned in the order object response. For example, entering 2012-07-01 returns all payments that occurred on or before 2012-07-01 00:00:00 -0700.

string

Enforces a limit to the number of payments that are returned in the order object response. For example, entering 2 limits the number of payments listed in the order to the 2 most recent payments. Use this parameter in conjunction with the sort_payments parameter to sort the listed payments by oldest (i.e.,asc) or the most recent (i.e., desc). By default, all payments are returned, which can slow down response time.

integer

Maximum number of payment processor accounts (PPAs) to return per payment method. Use 0 for no PPAs. Default: unlimited.

string
enum

Sorts the payments returned in the order object response from oldest to most recent (i.e., asc) or from the most recent payments to oldest (i.e., desc). The default value for this parameter is asc.

Allowed:
string

Submit as true to only return the most recent payment made for the order in the order object response.

string

If set to true, PayNearMe will not return any payments made towards the balanace of the order.

string

The nickname of the client bank account where transaction settlements occur.

string

A unique string used to identify the creator of the order. This parameter can be used to find orders in the /find_orders call.

string

An arbitrary, client-defined string used to refer to this order.

string

The client's description of the order. This does not appear on the payment slip (for cash payments) but is useful for support issues.

string

Use this parameter to pass back additional information about the order. The values passed in this field are available in receipt text, macros, and the confirmation verbiage that displays in approve response.

string

The consumer’s mobile phone number.

string

The consumer's email address.

string

The first and last name of the consumer. You can also send the consumer’s first and last names in separate parameters using site_customer_first_name and site_customer_last_name.

string

The consumer's four-digit year of birth (i.e., YYYY)

string
enum

Specifies whether the consumer’s preferred language is

  • en = English
  • sp = Spanish

Allowed:
string

The consumer's first name.

string

The consumer's last name.

string

The consumer’s street address from his/her billing address.

string

The consumer's city from his/her billing address.

string

The consumer’s two-character state abbreviation from his/her billing address (e.g., TX, AK, NY, etc).

string

The consumer’s ZIP code from his/her billing address.

string

The order amount to include in any Autopay scheduling reminders.

string

The remaining balance of the order amount to include in any Autopay scheduling reminders.

string
enum

The status of the order reminder notification for any Autopay scheduling reminders. Supported values include the following:

  • active
  • user_suspended

Allowed:
string
enum

This parameter is used when setting up Autopay reminder emails and/or texts. The frequency of the reminder email/text. Supported values include the following:

  • weekly
  • biweekly
  • monthly
  • twice_monthly
  • end_of_month

Allowed:
string

This parameter is used when setting up Autopay reminder emails and/or texts. The date when Autopay reminders should begin in MM/DD/YYYY format.

string

This parameter is used when setting up Autopay reminder emails and/or texts. The date when Autopay reminders should end in MM/DD/YYYY format.

number

The amount for each scheduled autopay payment without convenience fees.

string

The unique identifier for the payment method used for this autopay schedule.

string
enum

The status of the autopay schedule. Supported options include the following:

  • active
  • user_suspended
  • pending
  • disabled
  • complete

Allowed:
string
enum

The frequency of the autopay. Supported options include the following:

  • weekly
  • biweekly
  • monthly
  • twice_monthly
  • end_of_month

Allowed:
string

The start date of the autopay schedule in MM/DD/YYYY format.

string

The end date of the autopay schedule in MM/DD/YYYY format.

string

Specifies the name of the pricing schedule (e.g.,agent, agent_recurring, consumer, consumer_recurring,consumer_ivr). Supported values can include site-configured pricing schedules.

string

The ID of the bank account where any payments towards this order will be settled.

Response

Language
URL
LoadingLoading…
Response
Choose an example:
application/json